Returns the user's tenant and a link to the home operating set for that tenant

POST /users/tenant-lookup

Operation id: UserService_TenantLookup

Description

Permission Level: Read

Tags: UserService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
emailstringNo
lookupKeystringNo
{
  "type": "object",
  "properties": {
    "email": {
      "type": "string"
    },
    "lookupKey": {
      "type": "string"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
operatingSetUrlstringNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "operatingSetUrl": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}